Ticket #435 (closed Task: fixed)

Opened 8 years ago

Last modified 7 years ago

To do for 4.2 Debian package

Reported by: silke Owned by: silke
Priority: Major Milestone: Release 4.2
Component: DeepaMehta Standard Distribution Version: 4.1
Keywords: Cc:
Complexity: 3 Area: Ubuntu/Debian Package
Module:

Description

  • Take care of pre-4.1 to post-4.1 release!

Change History

comment:1 in reply to: ↑ description Changed 8 years ago by silke

Replying to silke:

  • Take care of pre-4.1 to post-4.1 release!

So, take care of people's databases when they skipped 4.1

comment:2 Changed 8 years ago by jri

Just a general note about DM's upgrade policy (not Debian package specific):

Users of DM 4.0.x can't upgrade to 4.1 or later. They must start with a fresh DB.
The first upgradable version is DM 4.1.
Beginning with 4.1 DM's migration facility updates the DB automatically when a new DM version is installed. This works also if the user skip versions.

The user must never install SNAPSHOT releases (nightly builds) on a production system. SNAPSHOT releases are aimed to testing/development systems only.

BTW: Thanks for packaging!

comment:3 Changed 7 years ago by silke

  • Status changed from new to closed
  • Resolution set to fixed

Check.

Note: See TracTickets for help on using tickets.